<div class="modal-background-overlay animated fadeIn">
  <div class="centered-table-body">
    <div class="centered-table-cell">
      <div class="modal-container animated delay fadeIn" (click)="$event.stopPropagation();">
        <div class="modal-title-bar">
          <h3 class="modal-title" text-center>Submit New Pool</h3>
        </div>
        <div class="modal-content">
          <p>Using this form, you can add another pool to our catalog. We will automatically determine if the pool is
            compatible with our application. A pool can only be added if it fulfills the following requirements:</p>
          <ul>
            <li>Coin is supported</li>
            <li>Has at least 5 active miners</li>
            <li>Pool link is an HTTPS link and is between 14-50 characters</li>
            <li>Pool software is based on nodejs-pool or similar</li>
            <li>Submitted pool name is between 4-24 characters</li>
          </ul>
          <form (ngSubmit)="submitNewPool()" [formGroup]="poolSubmitForm" text-center>
            <ion-item>
              <ion-label>Select primary token</ion-label>
              <ion-select formControlName="coin" interface="popover" [interfaceOptions]="selectTokenOptions" placeholder="Select token">
                <ng-container *ngFor="let coin of dataService.coinArray">
                  <ion-select-option value="{{ coin.id }}">{{ coin.id }}</ion-select-option>
                </ng-container>
              </ion-select>
            </ion-item>
            <ion-item class="validation-error-message" *ngIf="!poolSubmitForm.controls.coin.valid && poolSubmitForm.controls.coin.dirty">
              <ion-icon class="validation-error-icon" name="alert" color="danger"></ion-icon><small>Please select a
                token. The token type is required.</small>
            </ion-item>
            <ion-item>
              <ion-label position="stacked">Pool URL</ion-label>
              <ion-input required type="text" formControlName="url" autocomplete="true" placeholder="Enter pool URL here (e.g. https://xmrpool.net)"></ion-input>
            </ion-item>
            <ion-item class="validation-error-message" *ngIf="!poolSubmitForm.controls.url.valid && poolSubmitForm.controls.url.dirty">
              <ion-icon class="validation-error-icon" name="alert" color="danger"></ion-icon><small>The URL must start
                with <strong>https://</strong> and be between <strong>14 and 50 characters</strong> long.</small>
            </ion-item>
            <ion-item>
              <ion-label position="stacked">Pool name</ion-label>
              <ion-input required type="text" formControlName="name" autocomplete="true" placeholder="Enter pool name here (e.g. XMRPool.net)"></ion-input>
            </ion-item>
            <ion-item class="validation-error-message" *ngIf="!poolSubmitForm.controls.name.valid && poolSubmitForm.controls.name.dirty">
              <ion-icon class="validation-error-icon" name="alert" color="danger"></ion-icon><small>Please enter a
                valid pool name. The pool name must only contain <strong>alphanumeric characters</strong>. It can also
                not begin with a space.</small>
            </ion-item>
            <ion-button class="submit-button" [disabled]="!poolSubmitForm.valid" shape="round"
              color="primary" size="large" fill="solid" type="submit">Submit Pool</ion-button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>